add_library( thirdparty_tools INTERFACE)
add_subdirectory(libs/ImGui)
target_link_directories(thirdparty_tools INTERFACE 
    "libs/glfw/build/src"
    "libs/physx/physx/bin/win.x86_64.vc142.mt/release" 
    "libs/nativefiledialog/build/lib/Release/x64"
    "libs/googletest/build/lib/Debug"
)

target_link_libraries(thirdparty_tools INTERFACE
    nfd
    YoggieEngine
)
target_include_directories(thirdparty_tools INTERFACE 
    "YoggieEngine/src"
    "libs/spdlog/include"
    "libs/assimp/include"
    "libs/glm"
    "libs/entt/src"
    "libs/yaml-cpp/include"
    "libs/mINI/src"
    "libs/googletest/googletest/include"
    "libs/glad/include"
    "libs/glfw/include"
    "libs/glew/include"
    "libs/lua/include"
    "libs/guizmo"
    "libs/nativefiledialog/src/include"
    "libs/ImGui"
)



