#pragma once
#include "uuid.h"


typedef  uuid::v4::UUID  AssetHandle;


enum class AssetType {
	Unknown = -1,
	Mesh,
	Texture,
	Material,
	Shader
};

struct Asset {
	AssetHandle Handle;
	
	template<class T > 
	static AssetType GetType(T t) { return t.GetType(); }
	virtual AssetType GetType() { return AssetType::Unknown; }
};
