#pragma once
#include <map>
#include "AssetMetaData.h"

typedef std::map<AssetHandle, AssetMetadata> AssetRegistry;

class AssetManager {
public:
	virtual Asset& GetAsset(AssetHandle handle) = 0;

protected:
	AssetRegistry  Assets;
	std::map<AssetHandle, Asset> LoadedAssets;


};